<!DOCTYPE html>
<html lang="en">
   <head>
      <meta charset="UTF-8">
      <title>Pseudoclases</title>
      <link rel="stylesheet" href="../EjerciciosHTML/CSS/pseudoclases.css">
   </head>
   
   <body>
      <h1>Pseudoclases</h1>
      <section>
         <p>links</p>
         <a href="##">Primer URL</a>
         <a href="##">Segunda URL</a>
         <a href="##">Tercera URL</a>
      </section>
      <section>
         <p>interaccion usuario</p>
         <input type="text" name="miText">
         <input type="checkbox" name="opcion1">
         <span>opcion 1</span>
         <input type="checkbox" name="opcion2">
         <span>opcion 2</span>
         <input type="checkbox" name="opcion3">
         <span>opcion 3</span>
      </section>
      <section>
         <p>input readonly</p>
         <input type="text" name="myText2" readonly>
      </section>
      <section>
         <p>input required/optional</p>
         <input type="text" name="myText3" required>
         <input type="text" name="myText4" class="myText4">
      </section>
      <section>
         <p>Validaciones</p>
         <input type="text" name="age" pattern="[0-9]+" class="valid1">
      </section>
      <section>
         <p>Rangos</p>
         <input type="number" name="age" min="18" max="100" class="rang">
      </section>
      <section>
         <article>
            <strong>strong 1</strong>
            <span>span 1</span>
            <strong>strong 2</strong>
            <span>span 2</span>
            <strong>strong 3</strong>
         </article>
      </section>
      <section>
         <p>before/after</p>
         <div class="abuelo">
            <p>Parrafo 1</p>
            <p>Parrafo 2</p>
            <div class="padre">
               <div class="hijo">
                  <a title="titulo hijo 1">Hijo 1</a>
               </div>
               <div class="hijo">
                  <a>Hijo 2</a>
               </div>
               <div class="hijo">
                  <a>Hijo 3</a>
               </div>
            </div>
            <p>Parrafo 3</p>
            <p>Parrafo 4</p>
         </div>
      </section>
      <section class="pseudoelementos2">
         <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Aliquam amet, delectus sit eveniet ea deserunt autem
            eum voluptates repellendus illum non magnam. A, veniam quo! Laboriosam fugit recusandae voluptatem sint?</p>
      </section>
      <section class="pseudoelementos3">
         <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Ipsam rem consequatur praesentium, facilis laudantium
            quidem similique tempora officia excepturi iure neque, repudiandae, natus ab amet fugit accusantium provident
            quos quibusdam!</p>
      </section>
   </body>
</html>